package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFGK3 extends MwfRequest<MWFGK3, MWFGK3Response> {

    @Parameter(name = "CIF")
    MWFGK3 cif(String cif);
    @Parameter(name = "DatumDo")
    MWFGK3 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWFGK3 datumOd(java.util.Date datumOd);
    @Parameter(name = "IdDokumentu")
    MWFGK3 idDokumentu(String idDokumentu);
    @Parameter(name = "IdKlienta")
    MWFGK3 idKlienta(String idKlienta);
    @Parameter(name = "IdNas")
    MWFGK3 idNas(String idNas);
    @Parameter(name = "IdProduktu")
    MWFGK3 idProduktu(String idProduktu);
    @Parameter(name = "IdTransakce")
    MWFGK3 idTransakce(String idTransakce);
    @Parameter(name = "IdZadosti")
    MWFGK3 idZadosti(String idZadosti);
    @Parameter(name = "ItemType")
    MWFGK3 itemType(String itemType);
    @Parameter(name = "MaxDoc")
    MWFGK3 maxDoc(Long maxDoc);
    @Parameter(name = "OdDoc")
    MWFGK3 odDoc(Long odDoc);
    @Parameter(name = "RazeniAtribut")
    MWFGK3 razeniAtribut(String razeniAtribut);
    @Parameter(name = "RazeniSmer")
    MWFGK3 razeniSmer(String razeniSmer);
    @Parameter(name = "SEMANTIC_TYPES")
    MWFGK3 semanticTypes(String semanticTypes);
    @Parameter(name = "SSO")
    MWFGK3 sso(String sso);
    @Parameter(name = "SkupinaProduktu")
    MWFGK3 skupinaProduktu(String skupinaProduktu);
    @Parameter(name = "TridaProduktu")
    MWFGK3 tridaProduktu(Long tridaProduktu);
}
